


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: User</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.entity</a> ]
</div>

<h1>Coverage Summary for Class: User (com.dema.timeregistration.entity)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">User</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    92.3%
  </span>
  <span class="absValue">
    (12/ 13)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    92%
  </span>
  <span class="absValue">
    (23/ 25)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.entity;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import javax.persistence.*;
<i>4</i>&nbsp;import java.util.HashSet;
<i>5</i>&nbsp;import java.util.Set;
<i>6</i>&nbsp;
<i>7</i>&nbsp;@Entity
<i>8</i>&nbsp;public class User extends EntityWithId {
<i>9</i>&nbsp;    private String email;
<i>10</i>&nbsp;    private String name;
<i>11</i>&nbsp;
<i>12</i>&nbsp;    @Enumerated(EnumType.STRING)
<i>13</i>&nbsp;    private GlobalRole globalRole;
<i>14</i>&nbsp;
<b class="fc"><i>15</i>&nbsp;    @OneToMany(cascade = CascadeType.ALL, mappedBy = &quot;user&quot;)</b>
<i>16</i>&nbsp;    private Set&lt;ProjectRole&gt; projectRoles = new HashSet&lt;&gt;();
<i>17</i>&nbsp;
<b class="fc"><i>18</i>&nbsp;    @OneToMany(cascade = CascadeType.ALL, mappedBy = &quot;user&quot;)</b>
<i>19</i>&nbsp;    private Set&lt;UserAbsence&gt; userAbsences = new HashSet&lt;&gt;();
<i>20</i>&nbsp;
<b class="fc"><i>21</i>&nbsp;    @OneToMany(cascade = CascadeType.ALL, mappedBy = &quot;user&quot;)</b>
<i>22</i>&nbsp;    private Set&lt;UserProjectBooking&gt; userProjectBookings = new HashSet&lt;&gt;();
<i>23</i>&nbsp;
<b class="fc"><i>24</i>&nbsp;    protected User() {</b>
<b class="fc"><i>25</i>&nbsp;    }</b>
<i>26</i>&nbsp;
<i>27</i>&nbsp;    public static User create(String email, String name, GlobalRole globalRole) {
<b class="fc"><i>28</i>&nbsp;        User user = new User();</b>
<b class="fc"><i>29</i>&nbsp;        user.setEmail(email);</b>
<b class="fc"><i>30</i>&nbsp;        user.setName(name);</b>
<b class="fc"><i>31</i>&nbsp;        user.setGlobalRole(globalRole);</b>
<b class="fc"><i>32</i>&nbsp;        return user;</b>
<i>33</i>&nbsp;    }
<i>34</i>&nbsp;
<i>35</i>&nbsp;    public String getEmail() {
<b class="fc"><i>36</i>&nbsp;        return email;</b>
<i>37</i>&nbsp;    }
<i>38</i>&nbsp;
<i>39</i>&nbsp;    public void setEmail(String email) {
<b class="fc"><i>40</i>&nbsp;        this.email = email;</b>
<b class="fc"><i>41</i>&nbsp;    }</b>
<i>42</i>&nbsp;
<i>43</i>&nbsp;    public void setId(int id) {
<b class="nc"><i>44</i>&nbsp;        this.id = id;</b>
<b class="nc"><i>45</i>&nbsp;    }</b>
<i>46</i>&nbsp;
<i>47</i>&nbsp;    public void setGlobalRole(GlobalRole globalRole) {
<b class="fc"><i>48</i>&nbsp;        this.globalRole = globalRole;</b>
<b class="fc"><i>49</i>&nbsp;    }</b>
<i>50</i>&nbsp;
<i>51</i>&nbsp;    public void setName(String name) {
<b class="fc"><i>52</i>&nbsp;        this.name = name;</b>
<b class="fc"><i>53</i>&nbsp;    }</b>
<i>54</i>&nbsp;
<i>55</i>&nbsp;    public int getId() {
<b class="fc"><i>56</i>&nbsp;        return id;</b>
<i>57</i>&nbsp;    }
<i>58</i>&nbsp;
<i>59</i>&nbsp;    public String getName() {
<b class="fc"><i>60</i>&nbsp;        return name;</b>
<i>61</i>&nbsp;    }
<i>62</i>&nbsp;
<i>63</i>&nbsp;    public GlobalRole getGlobalRole() {
<b class="fc"><i>64</i>&nbsp;        return globalRole;</b>
<i>65</i>&nbsp;    }
<i>66</i>&nbsp;
<i>67</i>&nbsp;    public Set&lt;ProjectRole&gt; getProjectRoles() {
<b class="fc"><i>68</i>&nbsp;        return projectRoles;</b>
<i>69</i>&nbsp;    }
<i>70</i>&nbsp;
<i>71</i>&nbsp;    public Set&lt;UserAbsence&gt; getUserAbsences() {
<b class="fc"><i>72</i>&nbsp;        return userAbsences;</b>
<i>73</i>&nbsp;    }
<i>74</i>&nbsp;
<i>75</i>&nbsp;    public Set&lt;UserProjectBooking&gt; getUserProjectBookings() {
<b class="fc"><i>76</i>&nbsp;        return userProjectBookings;</b>
<i>77</i>&nbsp;    }
<i>78</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
